<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.CreatePozicijaTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreatePozicijaLabel_pozicijaId}" for="pozicijaId" />
                    <h:inputText id="pozicijaId" value="#{pozicijaController.selected.pozicijaId}" title="#{bundle.CreatePozicijaTitle_pozicijaId}" required="true" requiredMessage="#{bundle.CreatePozicijaRequiredMessage_pozicijaId}"/>
                    <h:outputLabel value="#{bundle.CreatePozicijaLabel_pozicijaNaziv}" for="pozicijaNaziv" />
                    <h:inputText id="pozicijaNaziv" value="#{pozicijaController.selected.pozicijaNaziv}" title="#{bundle.CreatePozicijaTitle_pozicijaNaziv}" required="true" requiredMessage="#{bundle.CreatePozicijaRequiredMessage_pozicijaNaziv}"/>
                </h:panelGrid>
                <br />
                <h:commandLink action="#{pozicijaController.create}" value="#{bundle.CreatePozicijaSaveLink}" />
                <br />
                <br />
                <h:commandLink action="#{pozicijaController.prepareList}" value="#{bundle.CreatePozicijaShowAllLink}" immediate="true"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.CreatePozicijaIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
